python2-ecdsa-0.13-3.2.noarch.rpm


Advertisement

Description

python2-ecdsa - ECDSA cryptographic signature library (pure python)

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python2-ecdsa-0.13-3.2.noarch.rpm
Package name python2-ecdsa
Package version 0.13
Package release 3.2
Package architecture noarch
Package type rpm
Category Development/Languages/Python
Homepage http://github.com/warner/python-ecdsa
License MIT
Maintainer -
Download size 88.43 KB
Installed size 362.42 KB
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python, released under
the MIT license. With this library, you can quickly create keypairs (signing
key and verifying key), sign messages, and verify the signatures. The keys
and signatures are very short, making them easy to handle and incorporate
into other protocols.

Alternatives

Package Version Architecture Repository
python2-ecdsa - - -

Requires

Name Value
python(abi) = 2.7

Provides

Name Value
python-ecdsa = 0.13-3.2
python2-ecdsa = 0.13-3.2

Obsoletes

Name Value
python-ecdsa < 0.13-3.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python2-ecdsa-0.13-3.2.noarch.rpm
Source Package python-ecdsa-0.13-3.2.src.rpm

Install Howto

Install python2-ecdsa rpm package:

# zypper install python2-ecdsa

Files

Path
/usr/lib/python2.7/site-packages/ecdsa/__init__.py
/usr/lib/python2.7/site-packages/ecdsa/__init__.pyc
/usr/lib/python2.7/site-packages/ecdsa/__init__.pyo
/usr/lib/python2.7/site-packages/ecdsa/_version.py
/usr/lib/python2.7/site-packages/ecdsa/_version.pyc
/usr/lib/python2.7/site-packages/ecdsa/_version.pyo
/usr/lib/python2.7/site-packages/ecdsa/curves.py
/usr/lib/python2.7/site-packages/ecdsa/curves.pyc
/usr/lib/python2.7/site-packages/ecdsa/curves.pyo
/usr/lib/python2.7/site-packages/ecdsa/der.py
/usr/lib/python2.7/site-packages/ecdsa/der.pyc
/usr/lib/python2.7/site-packages/ecdsa/der.pyo
/usr/lib/python2.7/site-packages/ecdsa/ecdsa.py
/usr/lib/python2.7/site-packages/ecdsa/ecdsa.pyc
/usr/lib/python2.7/site-packages/ecdsa/ecdsa.pyo
/usr/lib/python2.7/site-packages/ecdsa/ellipticcurve.py
/usr/lib/python2.7/site-packages/ecdsa/ellipticcurve.pyc
/usr/lib/python2.7/site-packages/ecdsa/ellipticcurve.pyo
/usr/lib/python2.7/site-packages/ecdsa/keys.py
/usr/lib/python2.7/site-packages/ecdsa/keys.pyc
/usr/lib/python2.7/site-packages/ecdsa/keys.pyo
/usr/lib/python2.7/site-packages/ecdsa/numbertheory.py
/usr/lib/python2.7/site-packages/ecdsa/numbertheory.pyc
/usr/lib/python2.7/site-packages/ecdsa/numbertheory.pyo
/usr/lib/python2.7/site-packages/ecdsa/rfc6979.py
/usr/lib/python2.7/site-packages/ecdsa/rfc6979.pyc
/usr/lib/python2.7/site-packages/ecdsa/rfc6979.pyo
/usr/lib/python2.7/site-packages/ecdsa/six.py
/usr/lib/python2.7/site-packages/ecdsa/six.pyc
/usr/lib/python2.7/site-packages/ecdsa/six.pyo
/usr/lib/python2.7/site-packages/ecdsa/test_pyecdsa.py
/usr/lib/python2.7/site-packages/ecdsa/test_pyecdsa.pyc
/usr/lib/python2.7/site-packages/ecdsa/test_pyecdsa.pyo
/usr/lib/python2.7/site-packages/ecdsa/util.py
/usr/lib/python2.7/site-packages/ecdsa/util.pyc
/usr/lib/python2.7/site-packages/ecdsa/util.pyo
/usr/lib/python2.7/site-packages/ecdsa-0.13-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/ecdsa-0.13-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/ecdsa-0.13-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/ecdsa-0.13-py2.7.egg-info/top_level.txt
/usr/share/doc/packages/python2-ecdsa/NEWS
/usr/share/doc/packages/python2-ecdsa/README.md
/usr/share/licenses/python2-ecdsa/LICENSE

Changelog

2018-12-04 - Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
2017-04-28 - pousaduarte@gmail.com
- Convert to singlespec
- Use "download_files" in _service file to automate source fetching
2015-02-21 - prusnak@opensuse.org
- update to 0.13
Fix the argument order for Curve constructor (put openssl_name= at the end,
with a default value) to unbreak compatibility with external callers who used
the 0.11 convention.
* update to 0.12
Switch to Versioneer for version-string management (fixing the broken
`ecdsa.__version__` attribute). Add Curve.openssl_name property. Mention
secp256k1 in README, test against OpenSSL. Produce "wheel" distributions. Add
py3.4 and pypy3 compatibility testing. Other minor fixes.
2014-09-15 - tbechtold@suse.com
- update to version 0.11:
* update NEWS for 0.11 release
* VerifyingKey.from_string(): add validate_point= argument
* Merge pull request #17 from trezor/master
* README: stop claiming py2.5 compatibility.
* Merge pull request #18 from alex/patch-2
* Merge pull request #16 from alex/patch-1
* Remove Python 2.5 from travis.
* Added trove classifiers showing versions supported
* canonical versions of sigencode methods these enforce low S values,
by negating the value (modulo the order) if above order/2
* Remove Python 2.5 from travis.
* Run tests under PyPy
2014-04-18 - rschweikert@suse.com
- include in SLE 12 (FATE #315990)
2014-01-13 - dmueller@suse.com
- update to 0.10:
* Make the secp256k1 available
2013-10-09 - prusnak@opensuse.org
- updated to version 0.9
* added secp256k1 curve
* added deterministic (no entropy needed) signatures
* added py3.2/py3.3 compatibility
2012-12-14 - prusnak@opensuse.org
- created package (version 0.8)

See Also

Package Description
python2-ed25519ll-0.6-6.3.i586.rpm A low-level ctypes wrapper for Ed25519 digital signatures
python2-ed25519ll-0.6-6.3.x86_64.rpm A low-level ctypes wrapper for Ed25519 digital signatures
python2-editdistance-0.5.3-1.1.i586.rpm An implementation of the edit distance (Levenshtein distance)
python2-editdistance-0.5.3-1.1.x86_64.rpm An implementation of the edit distance (Levenshtein distance)
python2-editdistance-devel-0.5.3-1.1.i586.rpm Development files for python2-editdistance
python2-editdistance-devel-0.5.3-1.1.x86_64.rpm Development files for python2-editdistance
python2-elasticsearch-6.3.1-1.2.noarch.rpm Python client for Elasticsearch
python2-eliot-1.7.0-1.2.noarch.rpm A logging system that tells the user why something happened
python2-email_validator-1.0.3-1.1.noarch.rpm A robust email syntax and deliverability validation library for Python
python2-emoji-0.5.2-1.1.noarch.rpm Emoji for Python
python2-enable-4.7.2-3.1.i586.rpm Low-level drawing and interaction
python2-enable-4.7.2-3.1.x86_64.rpm Low-level drawing and interaction
python2-enable-kiva-4.7.2-3.1.i586.rpm DisplayPDF vector drawing engine for Python
python2-enable-kiva-4.7.2-3.1.x86_64.rpm DisplayPDF vector drawing engine for Python
python2-enaml-0.10.2-1.3.i586.rpm Declarative DSL for building rich user interfaces in Python
Advertisement
Advertisement